Put Organization Bower Settings
https://app.fossa.com/api/organizations/{id}/settings/languages/bowerUpdate authentication settings for Bower
Path parameters
idintegerrequiredOrganization ID
Request body · application/json
registriesobject[]List of configured Bower registries
_idnumberUUID of the config (For FOSSA internal usage)
urlobject__typeenumsvaluestringhasUrlbooleanUsed when an existing URL is obfuscated in the response
useArtifactorybooleanDoes this registry use Artifactory?
Responses
204No content401UnauthorizeduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenmessagestringMessage describing the error
404NotFounduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
422Unprocessable EntityuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
PUT https://app.fossa.com/api/organizations/1/settings/languages/bowercurl --request PUT \ --url 'https://app.fossa.com/api/organizations/1/settings/languages/bower' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN' \ --header 'content-type: application/json' \ --data '{ "registries": [ { "_id": "00000000-0000-0000-0000-000000000000", "url": { "__type": "s", "value": "www.existingPrivateBowerSite.com" } } ], "useArtifactory": true}'Real request. Mutating methods can change data.
Path params
idintegerrequiredOrganization ID